Subject: RE: bug#14751: 24.3.50; Global binding and a tool bar icon for browsing the web

From: Drew Adams <[email-masked]>
Date: Sun, 30 Jun 2013 16:24:11 -0700 (PDT)

> I don't think we need such a key binding (just like I don't think we need
> the `C-x m' binding, FWIW).  A good M-x <something> is better.

+1

It is helpful to have a key that follows a URL at point.
Other than that there is no need for a key just to open a browser at
your start (home) page.  Anyone who wants that can bind the command.

(I do suggest adding the start-browsing command to a menu, though.)